/*-----------------------------------------------------------------------------
/ Title      : iMS Test Program Sub-Menu Interface Header
/ Project    : Isomet Modular Synthesiser System
/------------------------------------------------------------------------------
/ File       : $URL: http://nutmeg/svn/sw/trunk/09-Isomet/iMS_SDK/console_app/SubMenus/ISubMenu.h $
/ Author     : $Author: dave $
/ Company    : Isomet (UK) Ltd
/ Created    : 2017-09-06
/ Last update: $Date: 2017-09-11 23:55:34 +0100 (Mon, 11 Sep 2017) $
/ Platform   :
/ Standard   : C++11
/ Revision   : $Rev: 300 $
/------------------------------------------------------------------------------
/ Description:
/------------------------------------------------------------------------------
/ Copyright (c) 2017 Isomet (UK) Ltd. All Rights Reserved.
/------------------------------------------------------------------------------
/ Revisions  :
/ Date        Version  Author  Description
/ 2017-09-06  1.0      dc      Created
/
/----------------------------------------------------------------------------*/

#ifndef ISUBMENU_H_
#define ISUBMENU_H_

#include <string>

class ISubMenu
{
public:
	virtual ~ISubMenu() {}

	virtual const std::string& SubMenuDescription() const = 0;

	virtual void LaunchSubMenu() = 0;
};

#endif /* ISUBMENU_H_ */
